file_type2lexer = {
    "Plain Text": "_text",
    "Markdown": "_markdown",
    "reStructuredText": "rst",
    "Plain Code": "_code",
    "AppleScript": "applescript",
    "Arduino": "arduino",
    "Bash": "bash",
    "Batchfile": "bat",
    "C": "c",
    "Clojure": "clojure",
    "CMake": "cmake",
    "CoffeeScript": "coffee-script",
    "Common Lisp": "common-lisp",
    "Console/Bash Session": "console",
    "C++": "cpp",
    "C#": "csharp",
    "CSS": "css",
    "CUDA": "cuda",
    "Dart": "dart",
    "Delphi": "delphi",
    "Diff": "diff",
    "Django/Jinja": "django",
    "Docker": "docker",
    "Elixir": "elixir",
    "Erlang": "erlang",
    "Go": "go",
    "Handlebars": "handlebars",
    "Haskell": "haskell",
    "HTML": "html",
    "HTML + Django/Jinja": "html+django",
    "INI": "ini",
    "IPython console session": "ipythonconsole",
    "IRC logs": "irc",
    "Java": "java",
    "JavaScript": "js",
    "JSON": "json",
    "JSX/React": "jsx",
    "Kotlin": "kotlin",
    "LessCSS": "less",
    "Lua": "lua",
    "Makefile": "make",
    "Matlab": "matlab",
    "Nginx configuration file": "nginx",
    "NumPy": "numpy",
    "Objective-C": "objective-c",
    "Perl": "perl",
    "PHP": "php",
    "PostgreSQL SQL dialect": "postgresql",
    "Python": "python",
    "Ruby": "rb",
    "Rust": "rust",
    "Sass": "sass",
    "SCSS": "scss",
    "Solidity": "sol",
    "SQL": "sql",
    "Swift": "swift",
    "TeX": "tex",
    "TypoScript": "typoscript",
    "VimL": "vim",
    "XML": "xml",
    "XSLT": "xslt",
    "YAML": "yaml",
}


file_extension2file_type = {
    ".txt": "Plain Text",
    ".markdown": "Markdown",
    ".md": "Markdown",
    ".rst": "reStructuredText",
    ".scpt": "AppleScript",
    ".scptd": "AppleScript",
    ".applescript": "AppleScript",
    ".sh": "Bash",
    ".bat": "Batchfile",
    ".cmd": "Batchfile",
    ".btm": "Batchfile",
    ".c": "C",
    ".clj": "Clojure",
    ".cljs": "Clojure",
    ".cljc": "Clojure",
    ".edn": "Clojure",
    ".cmake": "CMake",
    ".coffee": "CoffeeScript",
    ".litcoffee": "CoffeeScript",
    ".lisp": "Common Lisp",
    ".lsp": "Common Lisp",
    ".l": "Common Lisp",
    ".cl": "Common Lisp",
    ".fasl": "Common Lisp",
    ".cpp": "C++",
    ".cc": "C++",
    ".h": "C++",
    ".hpp": "C++",
    ".cs": "C#",
    ".csx": "C#",
    ".css": "CSS",
    ".cu": "CUDA",
    ".dart": "Dart",
    ".ex": "Elixir",
    ".exs": "Elixir",
    ".erl": "Erlang",
    ".hrl": "Erlang",
    ".go": "Go",
    ".hs": "Haskell",
    ".lhs": "Haskell",
    ".html": "HTML",
    ".ini": "INI",
    ".java": "Java",
    ".js": "JavaScript",
    ".json": "JSON",
    ".kt": "Kotlin",
    ".kts": "Kotlin",
    ".ktm": "Kotlin",
    ".lua": "Lua",
    ".m": "Objective-C",
    ".p": "Matlab",
    ".mat": "Matlab",
    ".mex": "Matlab",
    ".fig": "Matlab",
    ".mlx": "Matlab",
    ".mlapp": "Matlab",
    ".mltbx": "Matlab",
    ".npy": "NumPy",
    ".mm": "Objective-C",
    ".M": "Objective-C",
    ".plx": "Perl",
    ".pl": "Perl",
    ".pm": "Perl",
    ".xs": "Perl",
    ".t": "Perl",
    ".pod": "Perl",
    ".cgi": "Perl",
    ".php": "PHP",
    ".py": "Python",
    ".rb": "Ruby",
    ".rs": "Rust",
    ".sass": "Sass",
    ".scss": "SCSS",
    ".sol": "Solidity",
    ".sql": "SQL",
    ".swift": "Swift",
    ".tex": "TeX",
    ".ts": "TypoScript",
    ".tsx": "TypoScript",
    ".vim": "VimL",
    ".xml": "XML",
    ".xsl": "XSLT",
    ".xslt": "XSLT",
    ".yaml": "YAML",
}

expires_desc2time = {
    "once": "onetime",
    "1h": "3600",
    "1d": "86400",
    "1w": "604800",
    "21d": "2073600",
}
